# GraphQL File

This is a small module designed to work with the Drupal File field type. It provides a GraphQL field type that can be used to return a File object.

## Requirements

* [GraphQL](https://www.drupal.org/project/graphql) 4.x

## Usage

This module provides a GraphQL field type that can be used like this:

```gql
type MyType {
  documents: [File]
}
```

The field will return a File object with the following properties:

* id: The file entity id
* title: The file entity name
* url: The file entity url
